| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.VectorXi8 Class Reference

A dynamically sized arithmetic vector. More...

Inheritance diagram for IOLink.VectorXi8:

## Public Member Functions
| VectorXi8 (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
| VectorXi8 (params sbyte[] values)
override bool | Equals (object obj)
| VectorXi8 ()
| Creates an empty vector.
| VectorXi8 (uint size)
| Creates an unitialized vector.
| VectorXi8 (VectorXi8 other)
uint | Size ()
| Returns the size of the vector, which also correspond to vector number of dimension.
sbyte | At (uint index)
| Access vector's value at given index.
void | SetAt (uint index, sbyte value)
| Set value as given index.
double | SquaredLength ()
| Returns the vector's norm, squared.
double | Length ()
| Returns the vector's norm.
void | Normalize ()
| Normalize the vector.
string | ToString ()
sbyte | Dot (VectorXi8 v)
| Dot product.
VectorXi8 | Cross (VectorXi8 v)
| Cross product of two vectors.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (VectorXi8 obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (VectorXi8 obj)
static bool | operator== (VectorXi8 v1, VectorXi8 v2)
static bool | operator!= (VectorXi8 v1, VectorXi8 v2)
static VectorXi8 | operator+ (VectorXi8 v1, VectorXi8 v2)
static VectorXi8 | operator- (VectorXi8 v1, VectorXi8 v2)
static VectorXi8 | operator* (VectorXi8 v, sbyte value)
static VectorXi8 | operator* (sbyte value, VectorXi8 v)
static VectorXi8 | operator/ (VectorXi8 v, sbyte value)
static VectorXi8 | operator* (VectorXi8 v1, VectorXi8 v2)
static VectorXi8 | operator/ (VectorXi8 v1, VectorXi8 v2)
static VectorXi8 | CreateUniform (uint size, sbyte value)
| Creates a vector filled with one value.
static bool | InternalNotEqual (VectorXi8 v1, VectorXi8 v2)
static VectorXi8 | InternalDivides (VectorXi8 v, sbyte value)
static VectorXi8 | InternalDivides (VectorXi8 v1, VectorXi8 v2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
sbyte | this[uint index]`[get, set]`

## Detailed Description

A dynamically sized arithmetic vector.

## Constructor & Destructor Documentation

## ◆ VectorXi8()

IOLink.VectorXi8.VectorXi8 | ( | uint | size | ) |
| inline

Creates an unitialized vector.

Parameters

  size | The size of the vector.

## Member Function Documentation

## ◆ CreateUniform()

static VectorXi8 IOLink.VectorXi8.CreateUniform | ( | uint | size,
|  | sbyte | value
| ) |  |
| inline static

Creates a vector filled with one value.

Parameters

  size | The size of the vector.
  value | The value used to fill the vector.

## ◆ Cross()

VectorXi8 IOLink.VectorXi8.Cross | ( | VectorXi8 | v | ) |
| inline

Cross product of two vectors.

Work only for vectors of size 3.

## ◆ Length()

double IOLink.VectorXi8.Length | ( |  | ) |
| inline

Returns the vector's norm.

Specifically, it is the L1 norm that's computed here.

## ◆ SquaredLength()

double IOLink.VectorXi8.SquaredLength | ( |  | ) |
| inline

Returns the vector's norm, squared.

Specifically, it is the L1 norm that's computed here.

The documentation for this class was generated from the following file:

- Release/net/generated/VectorXi8.cs